import { executionActions } from "@/redux/currentApp/executionTree/executionSlice"


export const clearLocalStorage = (store) => {
  store.dispatch(executionActions.clearLocalStorageInExecutionReducer())
}

export const setValueLocalStorage = (params: {
  key: string
  value: unknown
},store) => {
  const { key } = params
  if (typeof key !== "string") return

  store.dispatch(executionActions.setLocalStorageInExecutionReducer(params))
}
